Relesys API Docs

v1.3

https://api.uat.relesystest.net/api/v1.3

Views

Get Content Views
GET /contentmodules/{moduleId}/content/{contentId}/views
https://api.uat.relesystest.net/api/v1.3/contentmodules/{moduleId}/content/{contentId}/views
Get a list of users that have seen or swiped (read) on a content with contentId in a module with moduleId.
Default sorting is by dateViewed in descending order.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid The module's unique identifier required
contentId string / guid The content's unique identifier required
Query String
dateSwiped datetimeoffset Filterable Sortable optional
dateViewed datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"ef22eea9-5513-44ba-ac6a-8c34c5ae7e7d","userId":"5ad97b94-30a7-4c1c-bd7f-ad3980f65921","userUrl":null,"dateSwiped":"2026-04-13T18:18:39.3053594+00:00","dateViewed":"2026-04-13T18:18:39.3053594+00:00"},{"id":"cc389af7-12d9-4f35-be73-736bdfd7e3e2","userId":"dd952485-58a0-47d1-b0b7-fdd3f3422e9b","userUrl":null,"dateSwiped":null,"dateViewed":"2026-04-14T18:18:39.3053594+00:00"}]}
object
  count integer      
  data array[object]      
   dateSwiped datetimeoffset      
   dateViewed datetimeoffset      
   id string / guid      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string